Bug 1054278 - vnc cinnamon desktop freezes when clicking on menu
Summary: vnc cinnamon desktop freezes when clicking on menu
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 22
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 14:46 UTC by Prarit Bhargava
Modified: 2016-07-19 18:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 18:59:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Prarit Bhargava 2014-01-16 14:46:14 UTC
Description of problem: I'm running a vncserver with cinnamon desktop.  When I access the menu bar on the bottom of the screen, the entire session hangs.  I do not see any errors on the console.

I have been able to reproduce this on F19, F20, and F20 + rawhide cinnamon components, so it looks like this is a long-lived bug.

Version-Release number of selected component (if applicable): cinnamon-2.0.14-8.fc20


How reproducible: 100%


Steps to Reproduce:

Note, I've narrowed this down to the simplest reproducer.

1. Boot F20.
2. yum -y install tiger-vncserver

At this point you should be able to run a vncserver and connect to it without any issues.  The default is gnome.  You can see that everything works, accessing the menus, etc., work.

3. yum -y groupinstall cinnamon-desktop
4. Modify /etc/X11/xinit/Xclients to start desktops with cinnamon by default:

if [ -n "$GSESSION" ]; then
    # by default, we run GNOME.
        #exec "$GSESSION"
        exec "$GSESSION" --session=cinnamon
elif [ -n "$STARTKDE" ]; then
    # if GNOME isn't installed, try KDE.
    exec "$STARTKDE"
fi

[Note, this is NOT the way to configure a system for general use.  I am simply providing the maintainer with the quickest and most efficient path to reproducing.  Ideally you want to set up a user, start vnc, modify the local .Xclients, etc.  FWIW, the same failure occurs in the "correct" setup with a !root user.]

5.  "vncserver" will start a vncserver and output the address of the server.

6.  On a different system connect to the vncserver.

7.  Click on terminal.  It should open.  Type "hello" or something.

8.  Now click on a !shortcut; ie, the menu or the clock.

The session will freeze.  The system is fine, but the session has frozen.

9.  Try typing on the previously opened terminal.  Session is frozen ...

10.  Stop the vncserver with 'vncserver -kill :1'.

Actual results: cinnamon session freezes after accessing the menu.


Expected results: cinnamon session should work


Additional info: If you switch to gnome-classic instead of cinnamon everything works, so that's why I'm assuming a problem with cinnamon rather than gnome.


FYI: I'm a heavy vnc user and I would prefer to use cinnamon on my vnc sessions.
I have little experience debugging the desktop.  If you can give me some details as to how to gather logs, etc., I'm more than willing to provide that information to you.  If you want me to test a patch I'm also willing to do that too.

Comment 1 leigh scott 2014-01-16 15:52:52 UTC
Try using



if [ -n "$GSESSION" ]; then
    # by default, we run GNOME.
        #exec "$GSESSION"
        exec "$GSESSION" --session=cinnamon2d
elif [ -n "$STARTKDE" ]; then
    # if GNOME isn't installed, try KDE.
    exec "$STARTKDE"
fi

Comment 2 Prarit Bhargava 2014-01-16 16:02:55 UTC
(In reply to leigh scott from comment #1)
> Try using
> 
> 
> 
> if [ -n "$GSESSION" ]; then
>     # by default, we run GNOME.
>         #exec "$GSESSION"
>         exec "$GSESSION" --session=cinnamon2d
> elif [ -n "$STARTKDE" ]; then
>     # if GNOME isn't installed, try KDE.
>     exec "$STARTKDE"
> fi

That works Leigh -- everything works as expected now.  OOC is there a reason cinnamon is not expected to work here?

P.

Comment 3 leigh scott 2014-01-16 16:50:04 UTC
Could it be related to ?

https://bugzilla.redhat.com/show_bug.cgi?id=896648

Comment 4 Prarit Bhargava 2014-01-16 18:54:39 UTC
(In reply to leigh scott from comment #3)
> Could it be related to ?
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=896648

Hmm ... I don't think so.  I'm not seeing any errors when the above occurs.  From 896648,

Jan 31 13:30:56 localhost.localdomain gnome-session[2507]: WARNING: Could not get session id for session. Check that logind is properly installed and pam_systemd is getti... at login.
Jan 31 13:30:56 localhost.localdomain spice-vdagent[2543]: Missing virtio device '/dev/virtio-ports/com.redhat.spice.0': No such file or directory
Jan 31 13:30:56 localhost.localdomain pulseaudio[2560]: [pulseaudio] pid.c: Daemon already running.
Jan 31 13:30:57 localhost.localdomain gnome-session[2507]: WARNING: Failed to start app: Unable to start application: Failed to execute child process "/home/k_georgiev/sc...directory)
Jan 31 13:30:59 localhost.localdomain goa[2672]: goa-daemon version 3.6.2 starting [main.c:112, main()]
Jan 31 13:31:00 localhost.localdomain gnome-session[2507]: WARNING: Detected that screensaver has left the bus
Jan 31 13:31:01 localhost.localdomain abrt[2619]: detected unhandled Python exception in '/bin/fedmsg-notify-daemon'
Jan 31 13:31:01 localhost.localdomain gnome-session[2507]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Jan 31 13:31:01 localhost.localdomain gnome-session[2507]: WARNING: Detected that screensaver has left the bus

... I'm not seeing anything like that.

P.

Comment 5 Jaroslav Reznik 2015-03-03 15:23:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Fedora End Of Life 2016-07-19 18:59:51 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.